
Redmine - Feature #10259

Allow getting a list of issues by ID through the API

2012-02-17 11:34 - Daan Broekhof

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Currently it is impossible to get a list of issues from the API via GET /issues.xml, if you only have a list of issue ids.

The only way to get their data is to retrieve them one by one through the API /issues/[id].xml, which is too slow for practical

integration purposes if you have more than 10 issues.

In our company plugin we have added this feature by adding an 'id' entry to query::available_filters as a ':list_optional' and empty

':values', but this also inserts the 'id' filter in the issues query with an empty dropdown, not the prettiest solution...

Related issues:

Related to Redmine - Feature #10828: Request multiple distinct values includi... New

Related to Redmine - Feature #4806: Filter the issue list by issue ids Closed 2010-02-11

History

#1 - 2012-02-28 18:21 - Alex Last

this is incorrect. REST API allows to retrieve issues list using "filter ID". this is what our application have been using for 2 years now.

#2 - 2012-02-28 18:26 - Daan Broekhof

It would be great if this functionality is already present, but looking through the 1.3 code I cannot find where this feature should be?

Nor is it documented on the API page what the exact list of possible filters is...

Could you give me an example API url you use to get multiple issues by ID?

#3 - 2012-02-28 18:36 - Alex Last

take a look at our Java library source code, which does this: http://code.google.com/p/redmine-java-api/source/browse/

#4 - 2012-02-28 19:18 - Daan Broekhof

I have looked through your java library, and have not found a specific ID filter, only that a list of params are passed through via

RedmineManager::getIssues(pParameters).

Could you give me a Java call example that would get a list of issues, specified by their ID?

Or the specific parameter passed to getIssues() to get the desired result?

#5 - 2012-02-28 19:22 - Alex Last

that's not exactly how it works. I mean you can provide filterID to getIssues request.

#6 - 2012-02-28 19:25 - Daan Broekhof

Ah but does that not mean you do client-side filtering on the ID? You still then retrieve the entire issue list from the server.

#7 - 2012-05-03 22:02 - Jeffrey Clark

Patch available, see Issue #10828

#8 - 2013-09-04 03:26 - Toshi MARUYAMA

- Related to Feature #10828: Request multiple distinct values including issue id, parent_id, root_id added

#9 - 2019-05-08 17:40 - Go MAEDA
http://code.google.com/p/redmine-java-api/source/browse/
https://www.redmine.org/issues/10828


- Status changed from New to Closed

- Resolution set to Fixed

Recent versions of Redmine supports the following syntax:

http://redmine.example.com/issues.json?issue_id=1,2

#10 - 2019-05-08 17:41 - Go MAEDA

- Related to Feature #4806: Filter the issue list by issue ids added

#11 - 2021-02-02 17:46 - Игорь Эдуардович

Go MAEDA wrote:

Recent versions of Redmine supports the following syntax:

http://redmine.example.com/issues.json?issue_id=1,2

 dont work

example: https://www.redmine.org/issues.xml?issue_id=10259

#12 - 2021-02-03 13:55 - Go MAEDA

Игорь Эдуардович wrote:

Go MAEDA wrote:

Recent versions of Redmine supports the following syntax:

http://redmine.example.com/issues.json?issue_id=1,2

 dont work

example: https://www.redmine.org/issues.xml?issue_id=10259

 Try with the latest version of Redmine. The Redmine version of www.redmine.org is not the latest version.
